# $Revision: 1.9 $, $Date: 2011/06/28 18:53:58 $
%define 	srcname	fortran-modes
Summary:	XEmacs modes for Fortran programming language
Summary(pl.UTF-8):	XEmacsowe tryby do języka programowania Fortran
Name:		xemacs-%{srcname}-pkg
Version:	1.05
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	2c2545602482660ad0d811b0574a3eed
URL:		http://www.xemacs.org/
Requires:	xemacs
Requires:	xemacs-base-pkg
Requires:	xemacs-devel-pkg
Requires:	xemacs-mail-lib-pkg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XEmacs modes for Fortran programming language (Fortran 77 and 90
standards), moved from xemacs-prog-modes package.

%description -l pl.UTF-8
XEmacsowe tryby do języka programowania Fortran (w standardach Fortran
77 i 90), wyjęte z pakietu xemacs-prog-modes.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/fortran-modes/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-fortran-modes-pkg.spec,v $
Revision 1.9  2011/06/28 18:53:58  marti
- up to 1.05

Revision 1.8  2011/02/06 16:50:47  sparky
- unified %clean section

Revision 1.7  2007/04/06 22:45:15  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.6  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.4  2004/12/20 20:54:40  qboosh
- unification

Revision 1.3  2004/12/19 05:54:07  ankry
- typo

Revision 1.2  2004/12/18 20:12:15  roman
- updated Source0-md5

Revision 1.1  2004/12/18 20:11:24  roman
- xemacs-fortran-modes package (they took it out of xemacs-prog-modes)
- spec plagiarized from xemacs-prog-modes-pkg.spec
- works OK (tested by me)
- release 1
- STBR
